<?php

require("includes/check_auth_user.php");
require("includes/dbconnect.php");
include ('includes/function.php');

$zdb = $_SESSION["zdbyear_" . $dbname];
mysqli_select_db($conn, $zdb);
$admin = $_SESSION["admin_" . $dbname];
$success = false;

$maindb = "trnfmain";
$file = "transfer.php";

$keyfld = "vouchno";
$rangeFrom = $_REQUEST["rangeFrom"];
$rangeTo = $_REQUEST["rangeTo"];
$searchTerm = $_REQUEST["ssearch"];
$operator = $_REQUEST["soperator"];
$para = $_REQUEST["para"];

$cond = "";
if ($_REQUEST["sfield"] != "") {
    if ($operator == "=") {
        if ($_REQUEST["sfield"] == "1") {
            $cond = "AND a.`vouchno` = '$searchTerm'";
        } else if ($_REQUEST["sfield"] == "2") {
            $cond = "AND a.`vouchdt` = '$searchTerm'";
        } else if ($_REQUEST["sfield"] == "3") {
            $cond = "AND b.`gcode` = '$searchTerm'";
        } else if ($_REQUEST["sfield"] == "4") {
            $cond = "AND c.`gcode` = '$searchTerm'";
        } else if ($_REQUEST["sfield"] == "5") {
            $cond = "AND a.`ttotqty` = '$searchTerm'";
        }
    } else {
        if ($_REQUEST["sfield"] == "1") {
            $cond = "AND a.`vouchno` LIKE '%$searchTerm%'";
        } else if ($_REQUEST["sfield"] == "2") {
            $cond = "AND a.`vouchdt` LIKE '%$searchTerm%'";
        } else if ($_REQUEST["sfield"] == "3") {
            $cond = "AND b.`gcode` LIKE '%$searchTerm%'";
        } else if ($_REQUEST["sfield"] == "4") {
            $cond = "AND c.`gcode` LIKE '%$searchTerm%'";
        } else if ($_REQUEST["sfield"] == "5") {
            $cond = "AND a.`ttotqty` LIKE '%$searchTerm%'";
        }
    }
}

$sortcond = "ORDER BY a.`vouchno`";
if ($_REQUEST["sortBy"] == "1") {
    $sortcond = " ORDER BY a.`vouchno`";
} else if ($_REQUEST["sortBy"] == "2") {
    $sortcond = " ORDER BY a.`vouchdt`";
} else if ($_REQUEST["sortBy"] == "3") {
    $sortcond = " ORDER BY b.`gcode`";
} else if ($_REQUEST["sortBy"] == "4") {
    $sortcond = " ORDER BY c.`gcode`";
} else if ($_REQUEST["sortBy"] == "5") {
    $sortcond = " ORDER BY a.`ttotqty`";
}

$ordcond = "DESC";
if ($_REQUEST["orderAs"] == "desc") {
    $ordcond = " DESC";
} else {
    $ordcond = " ASC";
}

$query = "SELECT a.`vouchno`, DATE_FORMAT(a.`vouchdt`, '%d-%m-%Y')as mydt, a.`ttotqty`, a.`fgodown`, a.`tgodown`, 
           b.`gcode` as frmgd, c.`gcode` as togd
           FROM `trnfmain` a
           LEFT JOIN `godown` b ON a.fgodown = b.code
           LEFT JOIN `godown` c ON a.tgodown = c.code
           WHERE a.fgodown = b.code $cond $sortcond $ordcond LIMIT $rangeFrom, $rangeTo";
$result = mysqli_query($conn, $query)or die(mysqli_error($conn));

$rows = array();
$ctr = 0;
while ($r = mysqli_fetch_assoc($result)) {

    $rows[] = ['success' => true,
        'vouchno' => $r["vouchno"],
        'vouchdt' => $r["mydt"],
        'frmgd'   => $r["frmgd"],
        'togd'    => $r["togd"],
        'totqty'  => $r['ttotqty'],
        'action'  => "$file?mode=edit&$keyfld=$r[vouchno]",
    ];
}
header("Content-type: application\json");
echo json_encode($rows);
